package com.liquidnet.service.candy.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel
public class CandyMyCouponListVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "会员券")
    private List<CandyCouponVo> memberCoupon;
    @ApiModelProperty(value = "我的券")
    private List<CandyCouponVo> myCoupon;

    private static final CandyMyCouponListVo obj = new CandyMyCouponListVo();

    public static CandyMyCouponListVo getNew() {
        try {
            return (CandyMyCouponListVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new CandyMyCouponListVo();
    }

}
